Feature
Stored in the features collection. createdAt and updatedAt are maintained automatically.
Returned by GET /company, PUT /company.
| Field | Type | Notes |
|---|---|---|
name | string | required |
key | string | required · unique |
description | string | |
type | string | one of Plan, Add On, Both |
status | string | default active · one of active, inactive, maintenance |
quantifiableBoolean | boolean | default false |
quantifiableBooleanText | string | |
resetOnBillingCycle | boolean | default false |
resetOnBillingCycleType | string | default monthly · one of daily, weekly, monthly, custom |
resetOnBillingCycleCustomDays | number | default 1 |
allowAddOnPurchase | boolean | default false |
addOnDurationModes | string[] | default [] · one of billing_cycle, custom_duration, one_time |
order | number | default 1 |
company | ObjectId -> Company | |
createdBy | ObjectId -> Member | |
updatedBy | ObjectId -> Member | |
_id | ObjectId | default "6a95712f932657988a91c093" |
createdAt | date | set once |
updatedAt | date |